body.theme-sweet {
  --maintenance-background: #fff0fe;
  --maintenance-cone-fill: #fce1f9;
  --maintenance-cone-stroke: #7144a5;
  --maintenance-cone-fill-2: #f7bff2;
  --maintenance-cone-fill-3: #7144a5;
  --maintenance-cone-stroke-2: #fff;
  --maintenance-cone-stroke-3: #f7bff2;
  --maintenance-barier-stroke: #7144a5;
  --maintenance-barier-fill: #7144a5;
  --maintenance-barier-fill-2: #f7bff2;
  --maintenance-barier-fill-3: #f7bff2;
  --maintenance-barier-fill-4: #f7bff2;
  --maintenance-bunny-fill: #f7bff2;
  --maintenance-bunny-fill-2: #7144a5;
  --maintenance-bunny-fill-3: #fff;
  --maintenance-bunny-stroke: #7144a5;
}

body.theme-gothic {
  --maintenance-background: #7b71a5;
  --maintenance-cone-fill: #322187;
  --maintenance-cone-stroke: #000;
  --maintenance-cone-fill-2: #322187;
  --maintenance-cone-fill-3: #000;
  --maintenance-cone-stroke-2: #fff;
  --maintenance-cone-stroke-3: #322187;
  --maintenance-barier-stroke: #000;
  --maintenance-barier-fill: #000;
  --maintenance-barier-fill-2: #322187;
  --maintenance-barier-fill-3: #322187;
  --maintenance-barier-fill-4: #322187;
  --maintenance-bunny-fill: #000;
  --maintenance-bunny-fill-2: #322187;
  --maintenance-bunny-fill-3: #fff;
  --maintenance-bunny-stroke: #322187;
}

body.theme-classic {
  --maintenance-background: #ffedca;
  --maintenance-cone-fill: #e99f01;
  --maintenance-cone-stroke: #892806;
  --maintenance-cone-fill-2: #e99f01;
  --maintenance-cone-fill-3: #892806;
  --maintenance-cone-stroke-2: #fff;
  --maintenance-cone-stroke-3: #e99f01;
  --maintenance-barier-stroke: #892806;
  --maintenance-barier-fill: #892806;
  --maintenance-barier-fill-2: #e99f01;
  --maintenance-barier-fill-3: #e99f01;
  --maintenance-barier-fill-4: #e99f01;
  --maintenance-bunny-fill: #e99f01;
  --maintenance-bunny-fill-2: #892806;
  --maintenance-bunny-fill-3: #fff;
  --maintenance-bunny-stroke: #892806;
}

.maintenance-wrapper {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  overflow-y: auto;
  overflow-x: hidden;
  background: var(--maintenance-background);
  z-index: 10000;
  box-sizing: border-box;

  .maintenance-content {
    width: 100vw;
    min-height: 100vh;
    box-sizing: border-box;
    padding: 175px var(--spacing-big);
    position: relative;

    @media (min-width: 384px) {
      padding: 175px var(--spacing-big) 0;
    }

    @media (min-width: 768px) {
      padding: 175px 25vw 0;
    }

    @media (min-width: 1400px) {
      padding: 175px 35vw 0;
    }
  }

  h1 {
    text-align: center;
    font-size: var(--primary-font-size-medium);
    font-family: var(--primary-font);
    margin-bottom: var(--spacing-medium);
  }

  p {
    font-size: var(--secondary-font-size-small);
    font-family: var(--secondary-font);
    margin-bottom: var(--spacing);
  }
}

#maintenance-barier {
  position: absolute;
  bottom: 0;
  right: 0;
  width: 145px;

  @media screen and (min-width: 415px) {
    width: 188px;
  }
}

#maintenance-barier-2 {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 188px;
  display: none;

  @media screen and (min-width: 768px) {
    display: block;
  }
}

#maintenance-bunny {
  height: 150px;
  margin: auto;
  display: block;
}

#maintenance-cone,
#maintenance-cone-2 {
  height: 115px;
  position: absolute;
  top: var(--spacing);
  z-index: -1;
}

#maintenance-cone {
  left: var(--spacing);
  animation: cone-animation 8s linear infinite;
}
#maintenance-cone-2 {
  right: var(--spacing);
  animation: cone-animation-2 8s linear infinite;
}

@keyframes cone-animation {
  0% {
    transform: rotate(0deg);
  }
  2.5% {
    transform: rotate(10deg);
  }
  5% {
    transform: rotate(0deg);
  }
  7.5% {
    transform: rotate(-10deg);
  }
  10% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(0deg);
  }
}

@keyframes cone-animation-2 {
  0% {
    transform: rotate(0deg);
  }
  2.5% {
    transform: rotate(-10deg);
  }
  5% {
    transform: rotate(0deg);
  }
  7.5% {
    transform: rotate(10deg);
  }
  10% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(0deg);
  }
}
